Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.binding.https
Class HttpsClientBinding

    java.lang.Object
      |
      +--weblogic.webservice.binding.AbstractBinding
            |
            +--weblogic.webservice.binding.soap.HttpClientBinding
                  |
                  +--weblogic.webservice.binding.https.HttpsClientBinding

public class HttpsClientBinding
extends weblogic.webservice.binding.soap.HttpClientBinding

HttpsClientBinding for WLS Webservices support for SSL

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`HttpsClientBinding()`

Method Summary
`protected java.net.Socket` | `createSocket(java.lang.String host, int port)`
`protected java.net.Socket` | `createSocket(java.net.URL url)`
`void` | `init(BindingInfo info)`
`protected void` | `releaseSocket()`

Methods inherited from class weblogic.webservice.binding.soap.HttpClientBinding
`getSocketKeepAlives, receive, send, setKeepAliveCountingEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsClientBinding

    public HttpsClientBinding()
                       throws javax.xml.soap.SOAPException

Method Detail

### init

    public void init(BindingInfo info)
              throws java.io.IOException

  Overrides:
    init in class weblogic.webservice.binding.soap.HttpClientBinding

### createSocket

    protected java.net.Socket createSocket(java.lang.String host,
                                           int port)
                                    throws java.io.IOException

  Overrides:
    createSocket in class weblogic.webservice.binding.soap.HttpClientBinding

### createSocket

    protected java.net.Socket createSocket(java.net.URL url)
                                    throws java.io.IOException

  Overrides:
    createSocket in class weblogic.webservice.binding.soap.HttpClientBinding

### releaseSocket

    protected void releaseSocket()

  Overrides:
    releaseSocket in class weblogic.webservice.binding.soap.HttpClientBinding

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD